import request from "../utils/request"
// 获取openid
export function getWxid(data) {
    return request({
        url: "/machine/smzcPrint/getWxid?code=" + data,
        method: "post",
    })
}
// 获取发票
export function getInvoice(data) {
    return request({
        url: "/machine/smzcPrint/getInvoice",
        method: "post",
        data: data
    })
}
// 上传文件
export function filePrintSave(data, path) {
    return request({
        file: true,
        url: "/machine/smzcPrint/filePrintSave",
        method: "post",
        data: data,
        path: path
    })
}
// 获取上传记录
export function getHistory(data) {
    return request({
        url: "/machine/smzcPrint/getHistory?wxId=" + data,
        method: "post"
    })
}