// pages/zzdy/pages/scjl/scjl.js
import {
    getHistory
} from "../../../../api/zzdy"
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let that = this
        that.init()
    },

    init() {
        let that = this
        let form = {
            wxid: wx.getStorageSync('openid')
        }
        getHistory(form.wxid).then(res => {
            if (res.code == 200) {
                that.setData({
                    list: res.list
                })
            } else {
                wx.showToast({
                    title: res.msg || "未查询到数据",
                    icon: "none"
                })
            }
        })
    },

    // 预览文档
    yulan(e) {
        let that = this
        var item = e.currentTarget.dataset.item
        wx.showLoading({
            title: '正在打开文档....',
        })
        wx.downloadFile({
            url: item.filePath,
            success(res) {
                if (res.statusCode === 200) {
                    that.yl(res.tempFilePath)
                }
            },
            fail(err) {
                wx.hideLoading()
                wx.showToast({
                    title: '下载失败，无法打开。',
                    icon: "none"
                })
            }
        })
    },
    yl(e) {
        wx.openDocument({
            filePath: e,
            success: function (res) {
                wx.hideLoading()
                if (e.split('.')[e.split('.').length - 1] == 'jpg' ||
                    e.split('.')[e.split('.').length - 1] == 'jpeg' || e.split('.')[e.split('.').length - 1] == 'png') {
                    wx.previewImage({
                        urls: [e],
                    })
                }
            },
            fail: err => {
                wx.hideLoading()
                wx.showToast({
                  title: '无法预览此文档。',
                  icon: "none"
                })
            }
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})